------------
-- PALADIN --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "PALADIN") then
    return;
end


Watcher.classDefaults["PALADIN"] = {
    ["newDefaultDate"] = 1414354755;
    ["priorityLists"] = {
        [1] = {
            ["settings"] = {};
            ["spellConditions"] = {};
            ["name"] = "Holy";
            ["filters"] = {
                [1] = {
                    ["specNum"] = 1;
                    ["filterType"] = "spec";
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["spellConditions"] = {};
            ["name"] = "Protection";
            ["filters"] = {
                [1] = {
                    ["specNum"] = 2;
                    ["filterType"] = "spec";
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["name"] = "Retribution";
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 85256;
                    ["name"] = "Templar's Verdict";
                };
                [2] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 114157;
                    ["name"] = "Execution Sentence";
                };
                [3] = {
                    ["filterSetId"] = 3;
                    ["spellId"] = 24275;
                    ["name"] = "Hammer of Wrath";
                };
                [4] = {
                    ["filterSetId"] = 5;
                    ["spellId"] = 35395;
                    ["name"] = "Crusader Strike";
                };
                [5] = {
                    ["filterSetId"] = 6;
                    ["spellId"] = 20271;
                    ["name"] = "Judgment";
                };
                [6] = {
                    ["filterSetId"] = 8;
                    ["spellId"] = 122032;
                    ["name"] = "Exorcism";
                };
                [7] = {
                    ["filterSetId"] = 13;
                    ["spellId"] = 85256;
                    ["name"] = "Templar's Verdict";
                };
            };
            ["filters"] = {
                [1] = {
                    ["specNum"] = 3;
                    ["filterType"] = "spec";
                };
            };
        };
    };
    ["version"] = 1;
    ["spells"] = {
        [53385] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [7] = true;
            };
        };
        [31801] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [9] = true;
                [12] = true;
            };
        };
        [24275] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
            };
        };
        [31884] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [4] = true;
            };
        };
        [20271] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [6] = true;
            };
        };
        [114157] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [2] = true;
            };
        };
        [35395] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [5] = true;
            };
        };
        [122032] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [8] = true;
            };
        };
        [85256] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
                [11] = true;
                [13] = true;
            };
        };
        [20154] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [10] = true;
            };
        };
    };
    ["filterSets"] = {
        [1] = {
            ["settings"] = {};
            ["spellId"] = 85256;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["spellId"] = 114157;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellId"] = 24275;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [4] = {
            ["settings"] = {};
            ["spellId"] = 31884;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [5] = {
            ["settings"] = {};
            ["spellId"] = 35395;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [6] = {
            ["settings"] = {};
            ["spellId"] = 20271;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [7] = {
            ["settings"] = {};
            ["spellId"] = 53385;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [8] = {
            ["settings"] = {};
            ["spellId"] = 122032;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [9] = {
            ["settings"] = {};
            ["spellId"] = 31801;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [10] = {
            ["settings"] = {};
            ["spellId"] = 20154;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [11] = {
            ["settings"] = {};
            ["spellId"] = 85256;
            ["name"] = "5 HP";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["value"] = 5;
                    ["resourceType"] = 9;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [12] = {
            ["settings"] = {};
            ["spellId"] = 31801;
            ["name"] = "Keep Seal Up";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Seal of Truth";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [13] = {
            ["settings"] = {};
            ["name"] = "3 HP";
            ["spellId"] = 85256;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["value"] = 3;
                    ["resourceType"] = 9;
                    ["relationship"] = "At Least";
                    ["filterType"] = "secondaryResource";
                };
            };
        };
    };
};
